Question

Websphere/OpenLiberty 19 Support

Hi,

I noticed that the Pega 8.3 Platform Support Guide for August 2019 is out, and have a question about Websphere Liberty and OpenLiberty support.

The guide states that Websphere Liberty versions 16.0.0.x, 17.0.0.x and 18.0.0.x are supported, but what about 19.0.0.x? And what about OpenLiberty, is it supported going forward?

Thanks in advance!

-Mike

***Edited by Moderator Marissa to update platform capability tags****

Comments

Keep up to date on this post and subscribe to comments

August 15, 2019 - 10:20pm

I have referred this to the relevant people, waiting for response.

Pega
August 16, 2019 - 11:48am

Websphere Liberty v19 is being tested and is planned to be supported in a future release.

OpenLiberty is the open-source version of Liberty.  The Pega Platform team does not test "open source" or "community editions" of application servers.  “Community Editions” of application servers such as JBoss or WebSphere are in use by some clients.  Customers choosing to deploy on these versions need to be self-sufficient in their support.

August 19, 2019 - 10:27am

Thank you for your prompt response!

For sure, a lot is happening in the Java EE and the upcoming Jakarta space these days, and there will be some challenges for customers to stay current and up-to-date on supported configurations moving forward.

May I ask what the challenges are with WebSphere Liberty 19 that are preventing definitive support at this time?